set x1 1000
set y1 1000
set x2 2000
set y2 2000

set delta_x [expr $x1 - $x2]
puts $delta_x

set delta_x [expr abs($delta_x)]
puts $delta_x

set line_len [expr sqrt((($x2 - $x1) * ($x2 - $x1)) +\
                        (($y2 - $y1) * ($y2 - $y1)))]
puts $line_len
